Skip to main content
GET
/
workflows
/
{id}
Get workflow
curl --request GET \
  --url https://api.mailrify.com/workflows/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "enabled": true,
  "triggerType": "EVENT",
  "triggerConfig": {},
  "allowReentry": true,
  "projectId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "steps": [
    {
      "id": "<string>",
      "type": "TRIGGER",
      "name": "<string>",
      "position": {},
      "config": {},
      "workflowId": "<string>",
      "templateId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "template": {
        "id": "<string>",
        "name": "<string>"
      },
      "outgoingTransitions": [
        {
          "id": "<string>",
          "fromStepId": "<string>",
          "toStepId": "<string>",
          "condition": {},
          "priority": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "incomingTransitions": [
        {
          "id": "<string>",
          "fromStepId": "<string>",
          "toStepId": "<string>",
          "condition": {},
          "priority": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Path Parameters

id
string
required

Response

Workflow details

id
string
name
string
description
string | null
enabled
boolean
triggerType
enum<string>
Available options:
EVENT,
MANUAL,
SCHEDULE
triggerConfig
object
allowReentry
boolean
projectId
string
createdAt
string<date-time>
updatedAt
string<date-time>
steps
object[]